{% load_banners position: position %}
{% if loaded_banners.size > 0 %}
  <div class="section quotation-vertical" data-quotation-vertical>
    <div class="container">
      <div class="swiper">
        <div class="swiper-wrapper">
          {% for banner in loaded_banners %}

            {% assign quotation_name = banner.subtitle %}
            {% assign quotation_subtitle = '' %}
            {% if banner.subtitle contains '|' %}
              {% assign quotation_name = banner.subtitle | split: '|' | first %}
              {% assign quotation_subtitle = banner.subtitle | split: '|' | last %}
            {% endif %}

            {% assign img_resize = '140x' %}
            {% if mobile %}
              {% assign img_resize = '80x' %}
            {% endif %}

            <div class="swiper-slide">
              {% if banner.description != blank %}
                <div class="quotation">
                  {{ banner.description | replace: '<h1', '<h2' | replace: '<h3', '<h3 class="upper-title"' }}
                </div>
              {% endif %}
              {% if banner.file_url != blank %}
                <figure class="image -square">
                  <img class="lazy" loading="lazy" data-src="{{ banner.file_url | resize: img_resize }}" alt="{{ banner.title }}">
                </figure>
              {% endif %}
              {% if banner.subtitle != blank %}
                <div class="quotation-infos">
                  <h3 class="quote-name">{{ quotation_name }}</h3>
                  {% if quotation_subtitle != '' %}
                    <h4 class="quote-subtitle">{{ quotation_subtitle }}</h4>
                  {% endif %}
                </div>
              {% endif %}
            </div>
          {% endfor %}
        </div>
      </div>
      {% unless mobile %}
        <button aria-label="Próximo slide" class="swiper-button-next" type="button"></button>
        <button aria-label="Slide anterior" class="swiper-button-prev" type="button"></button>
      {% endunless %}
      <div class="swiper-pagination"></div>
    </div>
  </div>
{% endif %}
